查询运行时回合快照¶
查询指定运行时回合快照。
GET https://api.moi.matrixorigin.cn/v5/workspaces/{workspace_id}/agent-runtime-turn-snapshots/{snapshot_id}
调用前准备¶
准备可访问目标工作区的个人访问令牌和目标工作区 ID。
请求参数¶
将示例中的 $WORKSPACE_ID、$SNAPSHOT_ID、$AI_STUDIO_API_KEY 替换为实际值。
curl "https://api.moi.matrixorigin.cn/v5/workspaces/$WORKSPACE_ID/agent-runtime-turn-snapshots/$SNAPSHOT_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
参数 |
类型 |
是否必填 |
说明 |
|---|---|---|---|
|
string |
是 |
读取快照的工作区 ID。 |
|
string |
是 |
回合快照 ID。 |
查询参数
参数 |
类型 |
是否必填 |
说明 |
|---|---|---|---|
|
string |
否 |
智能体 ID。 |
|
string |
否 |
当前工作区或 system。省略时不限定智能体来源。 |
省略 agent_id 或 agent_workspace_id 时,不按对应条件限定智能体来源。填写 agent_workspace_id 时,只接受当前工作区或 system,不能传空值。
此接口不接受重复的智能体来源参数。
成功响应¶
{
"code": 0,
"data": {
"id": "snapshot_01",
"workspace_id": "",
"task_id": "",
"context_id": "",
"kind": "turn_input",
"attempt": 0,
"turn_index": 0,
"manifest_id": "",
"committed": false,
"created_at": "2026-08-21T07:00:00Z"
}
}
字段 |
类型 |
说明 |
|---|---|---|
|
string |
回合快照 ID。 |
|
string |
所属工作区 ID。 |
|
string |
关联的运行时任务 ID。 |
|
string |
上下文 ID。 |
|
string |
快照类型。取值: |
|
integer |
尝试次数。 |
|
integer |
交互轮次序号。 |
|
string |
运行清单 ID。 |
|
object |
请求内容。 |
|
boolean |
该快照是否已提交。 |
|
string |
创建时间。RFC 3339 时间。 |
错误响应¶
目标不存在或与指定智能体来源不匹配时,返回 HTTP 404,错误代码为 3。权限拒绝返回 HTTP 403,错误代码为 5。身份认证层的错误包络与本接口的业务错误包络不同。
{
"code": 3,
"message": "snapshot not found"
}
字段 |
类型 |
说明 |
|---|---|---|
|
integer |
错误代码。 |
|
string |
面向调用者的错误信息。 |